slepc-3.21.1 2024-04-26
Report Typos and Errors

# SlepcAbsEigenvalue

Returns the absolute value of a complex number given its real and imaginary parts.

### Synopsis

    PetscReal SlepcAbsEigenvalue(PetscScalar x,PetscScalar y)

Not Collective

### Input parameters

| x | - the real part of the complex number
| y | - the imaginary part of the complex number

### Notes

This function computes sqrt(x**2+y**2), taking care not to cause unnecessary overflow. It is based on LAPACK's DLAPY2.

In complex scalars, only the first argument is used.

This function is not available from Fortran.

### Level

developer

### Location

include/slepcmath.h

### Examples

src/eps/tutorials/ex18.c
src/eps/tutorials/ex41.c
src/pep/tutorials/ex40.c
src/pep/tutorials/nlevp/pdde_stability.c
src/svd/tutorials/cnetwork/embedgsvd.c
Index of all sys routines
Table of Contents for all manual pages
Index of all manual pages